From 735f4f095516ac7b1d4d838aeada3acffb4ae036 Mon Sep 17 00:00:00 2001
From: Fujii Masao <fujii@postgresql.org>
Date: Fri, 15 Jul 2022 22:19:58 +0900
Subject: [PATCH] Improve pg_settings_get_flags docs.

---
 doc/src/sgml/func.sgml | 52 +++++++++++++++++++++++++-----------------
 1 file changed, 31 insertions(+), 21 deletions(-)

diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index b6783b7ad0..f79a8e807c 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -24976,27 +24976,37 @@ SELECT currval(pg_get_serial_sequence('sometable', 'id'));
         <literal>NULL</literal> if it does not exist. The result is
         an empty array if the GUC exists but there are no flags to show.
         Only the most useful flags are exposed, as of the following:
-        <simplelist>
-         <member>
-          <literal>EXPLAIN</literal>: parameters included in
-          <command>EXPLAIN (SETTINGS)</command> commands.
-         </member>
-         <member>
-          <literal>NO_SHOW_ALL</literal>: parameters excluded from
-          <command>SHOW ALL</command> commands.
-         </member>
-         <member>
-          <literal>NO_RESET_ALL</literal>: parameters excluded from
-          <command>RESET ALL</command> commands.
-         </member>
-         <member>
-          <literal>NOT_IN_SAMPLE</literal>: parameters not included in
-          <filename>postgresql.conf</filename> by default.
-         </member>
-         <member>
-          <literal>RUNTIME_COMPUTED</literal>: runtime-computed parameters.
-         </member>
-        </simplelist>
+        <itemizedlist spacing="compact">
+         <listitem>
+          <para>
+           <literal>EXPLAIN</literal>: parameters included in
+           <command>EXPLAIN (SETTINGS)</command> commands.
+          </para>
+         </listitem>
+         <listitem>
+          <para>
+           <literal>NO_SHOW_ALL</literal>: parameters excluded from
+           <command>SHOW ALL</command> commands.
+          </para>
+         </listitem>
+         <listitem>
+          <para>
+           <literal>NO_RESET_ALL</literal>: parameters excluded from
+           <command>RESET ALL</command> commands.
+          </para>
+         </listitem>
+         <listitem>
+          <para>
+           <literal>NOT_IN_SAMPLE</literal>: parameters not included in
+           <filename>postgresql.conf</filename> by default.
+          </para>
+         </listitem>
+         <listitem>
+          <para>
+           <literal>RUNTIME_COMPUTED</literal>: runtime-computed parameters.
+          </para>
+         </listitem>
+        </itemizedlist>
        </para></entry>
       </row>
 
-- 
2.36.0

